Notice: We have migrated to GitLab launching 2024-05-01 see here: https://gitlab.rtems.org/

#624 closed defect (fixed)

2fixes: memory probe corrupts apps > 2M, printk scrambles screen

Reported by: strauman Owned by: Joel Sherrill
Priority: normal Milestone: 2
Component: bsps Version: 4.6
Severity: major Keywords:
Cc: bugs@… Blocked By:
Blocking:

Description

Attached fix addresses 2 unrelated issues:

A)
let IBMPC_outch map NL -> CRNL to avoid scrambled printk() output

B)
make sure memory probing starts only beyond the application image to avoid corruption

Release:
RTEMS-4.6

Environment:
pcX86 BSP

Attachments (1)

ibmpc_fixes.diff (3.0 KB) - added by strauman on 12/03/06 at 13:31:12.
ibmpc_fixes.diff

Download all attachments as: .zip

Change History (2)

comment:1 Changed on 05/21/04 at 14:31:32 by Joel Sherrill

Status: assignedclosed

State-Changed-From-To: open->closed
State-Changed-Why: Patch attached to cvs trunk and 4.6 branch.

Changed on 12/03/06 at 13:31:12 by strauman

Attachment: ibmpc_fixes.diff added

ibmpc_fixes.diff

Note: See TracTickets for help on using tickets.